Name:		mtdev
Version:	1.1.6
Release:	3
Summary:	Multitouch Protocol Translation Library
License:	MIT
URL:		http://bitmath.org/code/mtdev
Source0:	http://bitmath.org/code/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	gcc autoconf automake libtool chrpath

%description
The mtdev is a stand-alone library which transforms all variants of kernel MT
events to the slotted type B protocol. The events put into mtdev may be from
any MT device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking.

%package devel
Summary:        Development package for mtdev library
Requires:	pkgconfig
Requires:       %{name} = %{version}-%{release}

%description devel
This package is the development files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*a

#remove rpath
chrpath -d %{buildroot}%{_bindir}/%{name}-test

mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc README
%license COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}-test
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%config(noreplace) /etc/ld.so.conf.d/*

%changelog
* Tue Oct 25 2022 yanglongkang<yanglongkang@h-partners.com> - 1.1.6-3
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: rebuild for next release

* Mon Sep 6 2021 panxiaohe<panxiaohe@huawei.com> - 1.1.6-2
- Type:requirements
- ID:NA
- SUG:NA
- DESC:remove rpath and runpath of exec files and libraries

* Mon Jul 27 2020 liuchenguang<liuchenguang4@huawei.com> - 1.1.6-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 1.1.6

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 1.1.5-15
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move COPYING directory

* Wed Aug 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.5-14
- Package init
